Bug 841421 - mtpfs segfaults when writing to a mounted mtpfs filesystem
mtpfs segfaults when writing to a mounted mtpfs filesystem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mtpfs (Show other bugs)
16
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 19:02 EDT by Lonni J Friedman
Modified: 2013-02-13 16:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:38:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lonni J Friedman 2012-07-18 19:02:03 EDT
Description of problem:
Attempts to write into any mtpfs filesystem causes mtpfs to segfault, leaving the mount point broken/mangled with null permissions, ownership, size & datestamp.

Version-Release number of selected component (if applicable):
mtpfs-1.1-0.2.svn20120510.fc16.i686
libmtp-1.1.3-2.fc16.i686

How reproducible:
100% of the time.

Steps to Reproduce:
1. plug in MTP device (in my case, a Google Nexus 7 table in MTP mode) 
2. create local mountpoint: mkdir /tmp/mtpfs
3. mount it: mtpfs /tmp/mtpfs
4. attempt to copy any file into it, and it either acts as if the copy is successful, or fails.  In either case, its never truly successful, and the mount point is corrupted/dropped and mtpfs has segfaulted
  
Actual results:
mtpfs mountpoint is no longer mounted, mtpfs has segfaulted, file is never successfully written

Expected results:
no segfaults, file is successfully written
Comment 1 Lonni J Friedman 2012-07-18 19:02:47 EDT
Also, once this fails, the mountpoint looks like this in 'ls -l' output:
???????????   ? ?      ?          ?            ? mtpfs
Comment 2 Richard W.M. Jones 2012-07-19 04:19:05 EDT
You need to file these bugs upstream
(https://code.google.com/p/mtpfs/issues/list) because I'm only
dealing with packaging mtpfs in Fedora.  And best of luck
because unfortunately upstream are not responsive.
Comment 3 Lonni J Friedman 2012-07-19 10:03:50 EDT
Sadly, there's been a bug opened for this upstream since 2008.  I don't understand how anyone is able to use mtpfs.
Comment 4 Fedora End Of Life 2013-01-16 12:12:34 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 16:38:40 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.